from sklearn.decomposition import PCA
from sklearn.cluster import KMeans
from sklearn.datasets import load_iris
import pandas as pd
from cq_modules import cq_pca
#データの読み込み
iris = load_iris()
df = pd.DataFrame(iris.data, columns=iris.feature_names)
df = df.iloc[:, 1:].apply(lambda x: (x-x.mean())/x.std(), axis=0)
#k-平均化
cls = KMeans(n_clusters=3)#k-平均化の準備
cls.fit(df)#k-平均化の実行
#主成分分析
pca = PCA()#主成分分析の準備
pca.fit(df)#主成分分析の実行
#結果の表示
cq_pca.biplot(pca, df, 1, 2, scale=1, pc_biplot=True, labels=cls.labels_)