from sklearn.decomposition import PCA
import pandas as pd
from cq_modules import cq_pca
#データの読み込み
df = pd.read_csv("vegitable_data.txt", sep="\t", index_col=0)
#カテゴリデータの抽出
df_label = df.iloc[:,-1]
df_data = df.iloc[:,1:-1]
df_label = df_label.replace(['緑','淡', '芋'],[0, 1, 2])
#正規化しない場合
#df = df_data
#正規化した場合
df = (df_data - df_data.mean()) / df_data.std()
#主成分分析
pca = PCA()
pca.fit(df)
#結果の表示
cq_pca.summay(pca)
cq_pca.plot(pca)
cq_pca.biplot(pca, df, 1, 2, scale=1, pc_biplot=True, labels=df_label)
